Bug 476483 - Review Request: ghc-paths - library for information about ghc paths (renamed to ghc-ghc-paths)
Review Request: ghc-paths - library for information about ghc paths (renamed ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://hackage.haskell.org/cgi-bin/ha...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 01:31 EST by Jens Petersen
Modified: 2014-11-12 18:15 EST (History)
3 users (show)

See Also:
Fixed In Version: ghc-ghc-paths-0.1.0.9-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 20:55:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-12-15 01:31:54 EST
Spec URL: http://petersen.fedorapeople.org/ghc-paths/ghc-paths.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-paths/ghc-paths-0.1.0.5-1.fc10.src.rpm
Description:
Knowledge of GHC's installation directories.

Needed by recent haddock to build.
Comment 1 Jason Tibbitts 2008-12-16 20:42:23 EST
Builds fine; rpmlint says:
  ghc-paths-prof.x86_64: W: no-documentation
which is true, and not a problem.

  ghc-paths.x86_64: W: devel-file-in-non-devel-package 
   /usr/lib64/ghc-6.10.1/ghc-paths-0.1.0.5/libHSghc-paths-0.1.0.5.a
  ghc-paths-prof.x86_64: W: devel-file-in-non-devel-package 
   /usr/lib64/ghc-6.10.1/ghc-paths-0.1.0.5/libHSghc-paths-0.1.0.5_p.a
which are normal for Haskell packages.

The only real complaint I have is that the module description doesn't make a whole lot of sense.  I guess it must make sense if you understand Haskell (which I don't); that's not really unheard of when it comes to specialized modules for various languages, so I'm not going to worry about it.  Maybe you can think of something more sensible.

* source files match upstream.  sha256sum:
  ea9e97425894e3dbd7915e00e107e2e7fc07b6e8293fd2dd66a813f0673cba10  
   ghc-paths-0.1.0.5.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  ghc-paths-0.1.0.5-1.fc11.x86_64.rpm
   ghc-paths-devel = 0.1.0.5-1.fc11
   ghc-paths = 0.1.0.5-1.fc11
   ghc-paths(x86-64) = 0.1.0.5-1.fc11
  =
   /bin/sh
   ghc = 6.10.1

  ghc-paths-prof-0.1.0.5-1.fc11.x86_64.rpm
   ghc-paths-prof = 0.1.0.5-1.fc11
   ghc-paths-prof(x86-64) = 0.1.0.5-1.fc11
  =
   ghc-paths = 0.1.0.5-1.fc11
   ghc-prof = 6.10.1

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* scriptlets OK (ghc package registration and documentation indexing)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Jens Petersen 2008-12-22 00:38:48 EST
Thanks for the review. :)  I will improvement the description of the package when importing.


New Package CVS Request
=======================
Package Name: ghc-paths
Short Description: Interface to ghc's install directories
Owners: petersen
Branches: F-10
InitialCC: haskell-sig
Comment 3 Jens Petersen 2008-12-22 20:33:40 EST
cvs admin done
Comment 4 Jens Petersen 2008-12-22 20:55:17 EST
Package imported and built ghc-paths-0.1.0.5-2.fc11.
Comment 5 Jens Petersen 2009-03-08 22:59:28 EDT
My "bad" but this package should be renamed to ghc-ghc-paths since the Haskell library itself is called ghc-paths.
Renaming will keep cabal2spec-diff happy and make it easier to keep the package in sync with the templates.


New Package CVS Request
=======================
Package Name: ghc-ghc-paths
Short Description: Interface to ghc's install directories
Owners: petersen
Branches: F-10
InitialCC: haskell-sig
Comment 6 Jens Petersen 2009-03-08 23:12:47 EDT
cvs done
Comment 7 Jens Petersen 2014-10-22 23:56:55 EDT
Package Change Request
======================
Package Name: ghc-ghc-paths
New Branches: epel7 el6
Owners: petersen
InitialCC: haskell-sig
Comment 8 Jon Ciesla 2014-10-23 08:14:38 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-10-24 05:50:05 EDT
ghc-ghc-paths-0.1.0.9-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ghc-ghc-paths-0.1.0.9-1.el7
Comment 10 Fedora Update System 2014-11-12 18:15:15 EST
ghc-ghc-paths-0.1.0.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.